=pod

=head1 NAME

DSA_size - get DSA signature size

=head1 SYNOPSIS

 #include <openssl/dsa.h>

 int DSA_size(const DSA *dsa);

=head1 DESCRIPTION

This function returns the size of an ASN.1 encoded DSA signature in
bytes. It can be used to determine how much memory must be allocated
for a DSA signature.

B<dsa-E<gt>q> must not be B<NULL>.

=head1 RETURN VALUE

The size in bytes.

=head1 SEE ALSO

L<dsa(3)>, L<DSA_sign(3)>

=head1 COPYRIGHT

Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License").  You may not use
this file except in compliance with the License.  You can obtain a copy
in the file LICENSE in the source distribution or at
L<https://www.openssl.org/source/license.html>.

=cut
